package element

import (
	"git.nspix.com/golang/pgenr/internal/pool"
	"golang.org/x/net/html/atom"
)

type Alternative struct {
	Elements []Element
}

func (element *Alternative) String() string {
	br := pool.Get()
	defer pool.Put(br)
	br.WriteString(beginTag(atom.Div.String(), Attrs{"class": "alternative-wrapper"}))
	for _, ele := range element.Elements {
		br.WriteString(ele.Html())
	}
	br.WriteString(endTag(atom.Div.String()))
	return br.String()
}

func (element *Alternative) Html() string {
	return element.String()
}

func NewAlternative(eles ...Element) *Alternative {
	return &Alternative{
		Elements: eles,
	}
}
