package pgenr

import (
	"fmt"
	"git.nspix.com/golang/pgenr/element"
	"golang.org/x/net/html/atom"
	"io/ioutil"
	"testing"
	"time"
)

func TestAtom(t *testing.T) {
	fmt.Println(atom.Lookup([]byte("zzz")).String())
}

func TestRender(t *testing.T) {
	page := NewPage("Hi Jon Snow,")
	page.SetHead("Hi Jon Snow,").
		SetCopyright("Copyright © 2017 Hermes. All rights reserved")
	page.AddPlainIntro("Welcome to Hermes! We're very excited to have you on board.")
	//page.AddEntry(NewEntry("Welcome to Hermes").AddItem("Stock1", NewText("14.58", WithTextTheme(TextThemeSuccess))).AddItem("asddas", NewText("15.8", WithTextTheme(TextThemeDanger))))
	page.AddPlainOutro("Need help, or have questions? Just reply to this email, we'd love to help.")
	page.AddPlainOutro("Yours truly,")
	page.AddPlainOutro("Hermes - https://google.com")
	timeline := element.NewTimeline()
	timeline.AddItem(time.Now().Add(-2*time.Minute), element.NewText("Event start"))
	timeline.AddItem(time.Now().Add(-1*time.Minute), element.NewText("Event end"))
	timeline.AddItem(time.Now().Add(time.Minute), element.NewText("Event closed"))
	page.AddTimeline(timeline)
	table := element.NewTable(element.NewText("This year sale table", element.WithTextStyle(map[string]string{"font-size": "1.06rem", "font-weight": "550"})))
	table.SetHead(element.NewText("Name"), element.NewText("Age"), element.NewText("Price"))
	table.AddCell(element.NewText("ZhanSan"), element.NewText("31"), element.NewText("185.6"))
	table.AddCell(element.NewText("Lisi"), element.NewText("35"), element.NewText("102.6"))
	page.AddTable(table)
	//page.AddButtonAction("To get started with Hermes, please click here:", NewButton("Confirm your account", "https://example-hermes.com/"))
	page.AddInviteCodeAction("To get started with Hermes, please click here:", "950038")
	if str, err := Render(page); err == nil {
		ioutil.WriteFile("d:\\aaa.html", []byte(str), 0644)
	} else {
		t.Error(err)
	}
}
